%define am_i_cooker 1
%define distrib Official
%define version 2007.0
%define rel 0.14
%define distname Day Sunna
%define distsuffix mdv
%define distribution Mandriva Linux

%define product_vendor Mandriva
%define product_distribution %distribution
%define product_type Basic
%define product_version %version
%define product_branch Devel
%define product_release 0.6
%define product_arch %{_target_cpu}
%define product_product Free

%define product_id vendor=%product_vendor,distribution=%product_distribution,type=%product_type,version=%product_version,branch=%product_branch,release=%product_release,arch=%product_arch,product=%product_product

%if %am_i_cooker
    %define distrib Cooker
    %define unstable %%_with_unstable --with-unstable
%endif

# The mandriva release, what is written on box
%define mandriva_release %version

# The mandriva branch: Cooker, Community or Official
%define mandriva_branch %distrib

# The mandriva arch, notice: using %_target_cpu is bad
# elsewhere because this depend of the config of the packager
# _target_cpu => package build for
# mandriva_arch => the distribution we are using
%define mandriva_arch %_target_cpu

# To be coherent with %mandriva_arch I provide os too
# be I wonder it will be linux for a long time
%define mandriva_os %_target_os

%define realversion %version
%define mdkver %(echo %version | sed 's/\\.//')0

%define macrofile %build_sysmacrospath

Summary:	Mandriva release file
Name:		mandriva-release
Version:	%version
Release:	%mkrel %rel
License:	GPL
URL:		http://www.mandrivalinux.com/
Group:		System/Configuration/Other
Source:		%name.tar.bz2
Source1:	10mandriva-release.sh
Source2:	10mandriva-release.csh
Icon:		mandrake-small.gif
Obsoletes:	rawhide-release redhat-release mandrake-release mandrakelinux-release
BuildRoot:	%{_tmppath}/%{name}-root
Provides:	redhat-release rawhide-release mandrake-release mandrakelinux-release

%description
Mandriva Linux release file.

%prep
%setup -q -n %{name}

# check that CREDITS file is in UTF-8, fail otherwise
if iconv -f utf-8 -t utf-8 < CREDITS > /dev/null
then
	true
else
	echo "the CREDITS file *MUST* be encoded in UTF-8"
	echo "please fix it before continuing"
	false
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/etc
echo "Mandriva Linux release %{realversion} (%{distrib}) for %{_target_cpu}" > $RPM_BUILD_ROOT/etc/mandriva-release
ln -sf mandriva-release $RPM_BUILD_ROOT/etc/redhat-release
ln -sf mandriva-release $RPM_BUILD_ROOT/etc/mandrake-release
ln -sf mandriva-release $RPM_BUILD_ROOT/etc/release
ln -sf mandriva-release $RPM_BUILD_ROOT/etc/mandrakelinux-release
echo "%{version}.0 %{rel} %{distname}" > $RPM_BUILD_ROOT/etc/version

cat > %buildroot/etc/product.id << EOF
%product_id
EOF

mkdir -p %buildroot%_sys_macros_dir
cat > %buildroot%macrofile <<EOF
%%distribution      %distribution
%%mandriva_release  %mandriva_release
%%mandriva_branch   %mandriva_branch
%%mandriva_arch     %mandriva_arch
%%mandriva_os       %mandriva_os
%%mandriva_class    %%(. %_sysconfdir/sysconfig/system; echo \$META_CLASS)
%%mdkver            %mdkver
%%mdvver            %mdkver
%%distsuffix        %distsuffix

# productid variable
%%product_id %product_id

%%product_vendor        %product_vendor
%%product_distribution  %product_distribution
%%product_type          %product_type
%%product_version       %product_version
%%product_branch        %product_branch
%%product_release       %product_release
%%product_arch          %product_arch
%%product_product       %product_product

%{?unstable}
EOF

mkdir -p %buildroot%_sysconfdir/sysconfig
cat > %buildroot%_sysconfdir/sysconfig/system <<EOF
SECURITY=3
CLASS=beginner
LIBSAFE=no
META_CLASS=download
EOF

mkdir -p %buildroot%_sysconfdir/profile.d
install -m755 %SOURCE1 %SOURCE2 %buildroot%_sysconfdir/profile.d


%check
%if %am_i_cooker
case %release in
    0.*) ;;
    *)
    echo "Cooker distro should have this package with release < %{mkrel 1}"
    exit 1
    ;;
esac
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CREDITS distro.txt README.urpmi release-notes.txt
/etc/mandrake-release
/etc/mandrakelinux-release
/etc/redhat-release
/etc/mandriva-release
/etc/release
/etc/version
/etc/product.id
/etc/profile.d/10mandriva-release.sh
/etc/profile.d/10mandriva-release.csh
%macrofile
%config(noreplace) %verify(not md5 size mtime) %_sysconfdir/sysconfig/system

%changelog
* Wed Sep 13 2006 Warly <warly@mandriva.com>
+ 2006-09-13 19:29:20 (61333)
rc2

* Tue Sep 05 2006 Warly <warly@mandriva.com>
+ 2006-09-05 17:38:44 (60133)
rc 1

* Mon Aug 28 2006 Warly <warly@mandriva.com>
+ 2006-08-28 12:57:11 (58326)
update distro.txt for new beta

* Mon Aug 28 2006 Warly <warly@mandriva.com>
+ 2006-08-28 12:54:58 (58324)
new release for beta 3

* Sat Aug 26 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-26 09:57:29 (58172)
clean buildroot

* Sat Aug 26 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-26 09:46:02 (58168)
fix typo in sh profile script

* Thu Aug 17 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-08-17 17:41:02 (56652)
Add profile.d script to export META_CLASS (needed for csh shells)


* Sun Aug 13 2006 Warly <warly@mandriva.com>
+ 2006-08-13 13:24:10 (55804)
updated for beta 2

* Thu Jul 27 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-27 21:32:12 (42339)
- set distribution into macro file (not vendor)
- provide product* variable as macros, included product_id
- factorize some change
- 0.7

* Thu Jul 27 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-27 20:21:32 (42325)
Import mandriva-release

* Thu Jul 27 2006 Warly <warly@mandriva.com> 2007.0-0.6mdv2007.0
- reintroduct product.id

* Wed Jul 26 2006 Warly <warly@mandriva.com> 2007.0-0.5mdv2007.0
- beta 1

* Sat Jun 17 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.4mdv2007.0
- provide a default %_sysconfdir/sysconfig/system

* Thu May 25 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.3mdv2007.0
- after checking properly, no reason to not use %%mkrel now

* Thu May 25 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.2mdv2007
- use new release tag schema

* Wed May 24 2006 Olivier Thauvin <nanardon@mandriva.org> 2007.0-0.1mdk
- 2007 is on the road

* Mon Jan 30 2006 Warly <warly@mandriva.com> 2006.1-0.4mdk
- add mdvver macro

* Fri Sep 30 2005 Warly <warly@mandriva.com> 2006.1-0.3mdk
- Cooker snaphost

* Fri Sep 30 2005 Warly <warly@mandriva.com> 2006.1-0.2mdk
- complete distro.txt
- correct distrib name

* Fri Sep 30 2005 Warly <warly@mandriva.com> 2006.1-0.1mdk
- 2006.1 beta

* Fri Sep 30 2005 Warly <warly@mandriva.com> 2006.0-2mdk
- update CREDITS

* Tue Sep 20 2005 Warly <warly@mandriva.com> 2006.0-1mdk
- 2006.0 Official

* Mon Sep 12 2005 Warly <warly@mandriva.com> 2006.0-0.5mdk
- rc2

* Thu Jun 30 2005 Eskild Hustvedt <eskild@mandriva.org> 2006.0-0.4mdk
- Fixed URL

* Tue Jun 28 2005 Olivier Thauvin <nanardon@mandriva.org> 2006.0-0.3mdk
- create /etc/rpm/macros.d/%%name.macros
- set _with_unstable by default for cooker

* Mon Apr 18 2005 Warly <warly@mandrakesoft.com> 2006.0-0.2mdk
- Mandriva Linux is better than Mandriva

* Mon Apr 18 2005 Warly <warly@mandrakesoft.com> 2006.0-0.1mdk
- add a .0 to the version

* Fri Apr 15 2005 Warly <warly@mandriva.com> 2006-1mdk
- Mandriva 2006 Cooker

* Thu Mar 17 2005 Warly <warly@mandrakesoft.com> 10.2-0.6mdk
- Limited Edition 2005 RC2

* Wed Mar 09 2005 Warly <warly@mandrakesoft.com> 10.2-0.5mdk
- 10.2 rc1

* Tue Feb 22 2005 Warly <warly@mandrakesoft.com> 10.2-0.4mdk
- 10.2 beta3

* Fri Feb 04 2005 Warly <warly@mandrakesoft.com> 10.2-0.3mdk
- 10.2 beta 2

* Tue Feb 01 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 10.2-0.2mdk
- added test to make build fail if CREDITS file is not in utf-8

* Tue Nov 09 2004 Warly <warly@mandrakesoft.com> 10.2-0.1mdk
- oops

* Mon Nov 08 2004 Warly <warly@mandrakesoft.com> 10.2-1mdk
- Cooker 10.2

* Tue Oct 05 2004 Warly <warly@mandrakesoft.com> 10.1-2mdk
- Mandrakelinux 10.1 Official

* Tue Oct 05 2004 Warly <warly@mandrakesoft.com> 10.1-1.1mdk
- Test update for 10.1

* Mon Sep 13 2004 Warly <warly@mandrakesoft.com> 10.1-1mdk
- Mandrakelinux 10.1 Community

* Fri Sep 03 2004 Warly <warly@mandrakesoft.com> 10.1-0.7mdk
- Mandrakelinux 10.1 RC 1

* Thu Aug 19 2004 Warly <warly@mandrakesoft.com> 10.1-0.6mdk
- Mandrakelinux 10.1 beta 2

* Thu Jul 29 2004 Warly <warly@mandrakesoft.com> 10.1-0.5mdk
- Mandrakelinux 10.1 beta 1

* Thu Jul 15 2004 Warly <warly@mandrakesoft.com> 10.1-0.4mdk
- Mandrakelinux 10.1 alpha 1

* Fri Jul 02 2004 Warly <warly@mandrakesoft.com> 10.1-0.3mdk
- add a /etc/release file

* Tue May 11 2004 Warly <warly@mandrakesoft.com> 10.1-0.2mdk
- new package name

* Thu Apr 01 2004 Warly <warly@mandrakesoft.com> 10.1-0.1mdk
- Hope the summer will be hot enough for a 10.1
- s/Mandrake Linux/Mandrakelinux/

* Fri Mar 26 2004 Warly <warly@mandrakesoft.com> 10.0-3mdk
- 10.0 Official

* Wed Mar 17 2004 Warly <warly@mandrakesoft.com> 10.0-2mdk
- s/Mandrake Linux/Mandrakelinux/ in description

* Mon Mar 01 2004 Warly <warly@mandrakesoft.com> 10.0-1mdk
- Community

* Mon Feb 23 2004 Warly <warly@mandrakesoft.com> 10.0-0.9mdk
- Update Test for 10.0

* Thu Feb 12 2004 Warly <warly@mandrakesoft.com> 10.0-0.4mdk
- rc1

* Mon Feb 02 2004 Warly <warly@mandrakesoft.com> 10.0-0.3mdk
- beta 2

* Wed Jan 21 2004 Warly <warly@mandrakesoft.com> 10.0-0.2mdk
- Ron (10.0 beta 1)

* Tue Nov 04 2003 Warly <warly@mandrakesoft.com> 10.0-0.1mdk
- yo

* Wed Aug 27 2003 Warly <warly@mandrakesoft.com> 9.2-0.7mdk
- post rc1 version with CREDITS in %%doc

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 9.2-0.6mdk
- rc1
- add CREDITS file from qa.mandrakesoft.com/wiki

* Tue Aug 05 2003 Warly <warly@mandrakesoft.com> 9.2-0.5mdk
- beta 2

* Mon Jul 21 2003 Warly <warly@mandrakesoft.com> 9.2-0.4mdk
- beta 1

* Sun Apr 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 9.2-0.3mdk
- my bad, s/cooker/Cooker/

* Sun Apr 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 9.2-0.2mdk
- name is now 'cooker'

* Thu Mar 27 2003 Warly <warly@mandrakesoft.com> 9.2-0.1mdk
- I'm getting old...

* Tue Mar 11 2003 Warly <warly@mandrakesoft.com> 9.1-1mdk
- Bamboo

* Tue Oct 08 2002 Warly <warly@mandrakesoft.com> 9.1-0.1mdk
- tough one
- really tough one

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.0-0.3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Jul 22 2002 Warly <warly@mandrakesoft.com> 9.0-0.2mdk
- post 9.0 beta 1

* Wed Jul 17 2002 Warly <warly@mandrakesoft.com> 9.0-0.1mdk
- beta 1

* Thu Mar 21 2002 David BAUDENS <baudens@mandrakesoft.com> 8.3-0.2mdk
- Fix %%realversion (ie replace 'cooker' by '8.3' to don't break build of
  packages which use it)

* Tue Mar 19 2002 Warly <warly@mandrakesoft.com> 8.3-0.1mdk
- never stop

* Fri Mar 15 2002 Warly <warly@mandrakesoft.com> 8.2-1mdk
- 8.2

* Fri Mar 08 2002 Warly <warly@mandrakesoft.com> 8.2-0.7mdk
- 8.2 rc 1

* Sat Mar 02 2002 Warly <warly@mandrakesoft.com> 8.2-0.6mdk
- 8.2 beta 4

* Mon Feb 18 2002 Warly <warly@mandrakesoft.com> 8.2-0.5mdk
- 8.2 beta 3

* Fri Feb 08 2002 Warly <warly@mandrakesoft.com> 8.2-0.4mdk
- 8.2 beta 2

* Fri Jan 25 2002 Warly <warly@mandrakesoft.com> 8.2-0.3mdk
- 8.2 beta 1

* Tue Dec 11 2001 Warly <warly@mandrakesoft.com> 8.2-0.2mdk
- life goes on

* Wed Sep 26 2001 Warly <warly@mandrakesoft.com> 8.2-0.1mdk
- yeeepeeee

* Sun Sep 23 2001 Warly <warly@mandrakesoft.com> 8.1-1mdk
- 8.1 final

* Thu Sep 06 2001 Warly <warly@mandrakesoft.com> 8.1-0.6mdk
- 8.1 beta 3

* Mon Aug 27 2001 Warly <warly@mandrakesoft.com> 8.1-0.5mdk
- 8.1 beta 2

* Thu Aug 16 2001 Warly <warly@mandrakesoft.com> 8.1-0.4mdk
- 8.1 beta 1

* Tue Jun 19 2001 Warly <warly@mandrakesoft.com> 8.1-0.3mdk
- fix noarch problem

* Mon Jun 11 2001 Warly <warly@mandrakesoft.com> 8.1-0.2mdk
- Name changed to Mandrake Linux

* Sun Apr 22 2001 Warly <warly@mandrakesoft.com> 8.1-0.1mdk
- Cooker for 8.1

* Fri Apr 06 2001 Warly <warly@mandrakesoft.com> 8.0-0.5mdk
- Traktopel release candidate 1

* Sun Apr 01 2001 Warly <warly@mandrakesoft.com> 8.0-0.4mdk
- Traktopel beta 3

* Mon Mar 12 2001 Warly <warly@mandrakesoft.com> 8.0-0.3mdk
- Traktopel beta 2

* Mon Feb 26 2001 Warly <warly@mandrakesoft.com> 8.0-0.2mdk
- Traktopel beta 1

* Wed Feb 07 2001 Warly <warly@mandrakesoft.com> 8.0-0.1mdk
- Pre 8.0

* Fri Dec 22 2000 Warly <warly@mandrakesoft.com> 7.3-0.1mdk
- Cooker

* Thu Oct 05 2000 Warly <warly@mandrakesoft.com> 7.2-1mdk
- Odyssey

* Mon Oct 02 2000 Warly <warly@mandrakesoft.com> 7.2-0.2mdk
- Cooker 7.2 release candidate 1

* Thu Aug 31 2000 Warly <warly@mandrakesoft.com> 7.2-0.1mdk
- Cooker 7.2b

* Mon Jun 05 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 7.1-0.3mdk
- Fix bad links.

* Mon Jun 05 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 7.1-0.2mdk
- Set redhat-relase link to mandrake-release.
- On other arch of x86 print the arch.

* Thu Apr 20 2000 Warly <warly@mandrakesoft.com> 7.1-0.1mdk
- 7.1b

* Wed Mar 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 7.0-2mdk
- Adjust groups.
- No need to have the files as +x.

* Sat Jan 08 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 7.0 (Air).

* Wed Dec 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 7.0b (Oxygen).

* Sun Nov 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 6.2b (Oxygen).

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Jumping to full cooker :).

* Tue Jul 13 1999 Pablo Saratxaga <pablo@linux-mandrake.com>
- I stupidely forgot to put add the '-l $LANG' to the descriptions...

* Mon Jul 12 1999 Pablo Saratxaga <pablo@linux-mandrake.com>
- added an icon and some descriptions

* Wed May 19 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- change release name for final

* Sun May 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 6.0.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- [was redhat-release]
- add de locale
- Mandrake adaptions

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

